import 'package:pmu_project/data/repositories/api_interface.dart';
import 'package:pmu_project/domain/models/card_data.dart';
import 'package:pmu_project/domain/models/home_data.dart';

class MockRepository extends ApiInterface {
  @override
  Future<HomeData?> loadData({OnErrorCallback? onError}) async {
    return HomeData(data: [
      CardData(
          id: 1,
          imageUrl:
              "https://upload.wikimedia.org/wikipedia/commons/a/a2/Person_Image_Placeholder.png",
          name: "test 1",
          age: 15),
      CardData(
          id: 2,
          imageUrl:
              "https://upload.wikimedia.org/wikipedia/commons/a/a2/Person_Image_Placeholder.png",
          name: "test 2",
          age: 5)
    ]);
  }
}
